function y = CHCCDFinv(x, lambda)

switch lower( lambda.mode )
    case 'rayleigh'
        y = CHCCDFinv_Rayleigh(x, lambda.lambda);
    case 'lognorm'
        y = CHCCDFinv_lognorm(x, lambda.mean_mu, lambda.sigma);
    otherwise
        error('Channel type does not supported');
end

