function y = CHpdfoverg(x, lambda)
% \int_{x}^{\infty} \frac{ f_{CH}(g) }{g} dg
switch lower( lambda.mode )
    case 'rayleigh'
        y = CHpdfoverg_Rayleigh(x, lambda.lambda);
    case 'lognorm'
        y = CHpdfoverg_lognorm(x, lambda.mean_mu, lambda.sigma);
    otherwise
        error('Channel type does not supported');
end

