function ave_power = ave_power_A(ps,P,lambda,M,A,index)

% A start at q=0, delete the first item
A(1) = [];

cumP = cumsum(P,2);
cumP( cumP <= 0 ) = 1e-100;
g_points = CHCCDFinv(cumP, lambda );  %- log( cumP ) / lambda;

c = 0;
temp = zeros( 1,M+1);
for loop = 0:M
    g_points( loop+1, 1 : index(loop+1,3) - 1 ) = CHpdfoverg( g_points( loop+1, 1 : index(loop+1,3) - 1 ), lambda); %lambda * expint( lambda * g_points( loop+1, 1 : index(loop+1,3) - 1 ) ) ;
    temp( 1:index(loop+1,3)-1 )=[ g_points(loop+1,1), g_points( loop+1, 2 : index(loop+1,3) - 1   ) ...
                                                   -  g_points( loop+1, 1 : index(loop+1,3) - 2  ) ];
    c = c + ps(loop+1) * temp(1:index(loop+1,3)-1) * A ( index(loop+1,3)-1 : -1 : 1  )';
end
ave_power = c;