function TV0 = get_initial_TV0(setting,optPara,mode)

index = get_index_of_TP(setting.M, setting.mu);
if strcmp(mode,'average')
    %% find initial TV0
    TV0 = ones(sum(index(:,3) ),1 );
    TM0 = get_TP_matrix_from_vector(TV0, setting.M, index);
    for loop = 0:setting.M
        TM0(loop+1, : ) = TM0(loop+1,:) / sum( TM0(loop+1,:) );
    end
    TV0 = get_vector_from_TP_matrix(TM0,index);
elseif strcmp(mode,'combine')
    %% find another initial TV0
    [setting.alpha1, setting.alpha2, setting.Cutoff] = CGB_convert(setting.lambda, optPara.rho_p, optPara.TargetPbar);
    setting.H = ones(setting.M+1,1);
    setting.Pbar = optPara.TargetPbar;
    TM0 = get_TP_matrix(setting);
    TV0 = get_vector_from_TP_matrix(TM0,index);
end
