function [gpower,ppower] = get_power_control_g_q(TV, setting)

M = setting.M;
mu = setting.mu;
W = setting.W;
Ts = setting.dt;

%%% Power Control Law
temp = [0:M];
A = 2.^( temp / W / Ts ) - 1;
[gpower,ppower] = get_power_control_g_q_prac(A, TV, setting);