% ??????
%
% min Average Power
% {Pi,j}
%
% s.t.  pi = pi P
%
% ?? 0 <= P{i,j} <= 1???
function TV = optimal_pc(ps_theory,setting)

M = setting.M;
W = setting.W;
ts = setting.dt;

q = [0:1:M];
A = 2.^ ( q / W / ts ) - 1;  %vector A starts from A(0)

TV = optimal_pc_prac(ps_theory,A,setting);
