function y = CHCCDF(x, lambda)

switch lower( lambda.mode )
    case 'rayleigh'
        y = CHCCDF_Rayleigh(x, lambda.lambda);
    case 'lognorm'
        y = CHCCDF_lognorm(x, lambda.mean_mu, lambda.sigma);
    otherwise
        error('Channel type does not supported');
end

