function y = CHpdfoverg_lognorm( x, mean_mu, sigma)

%y = lambda * expint( lambda * x);
x( x== 0 ) = 1e-300;

y = exp( - ( 2 * mean_mu - sigma^2)  / 2 ) / 2 * erfc( ( log(x) - mean_mu + sigma^2 ) / sqrt(2) / sigma  );