function draw_power_g_q(gpower, ppower,M)

figure;
for loop = 0:M
    len = length( gpower{loop+1} );
    plot3( gpower{loop+1}(2:end), ones(1,len-1)*loop, ppower{loop+1}(2:end),'b' );
    hold on;
end
grid on;
xlabel('Channel Gain g');
ylabel('Queue length q');
zlabel('P(g,q)');
set(gca,'Zscale','log');
title('JQLA Power Control');


% h3=figure;
% color = ['b','r','m','g','c','k'];
% for loop = 0:M-5
%     len = length( gpower{loop+1} );
%     plot( gpower{loop+1}(2:end), ppower{loop+1}(2:end), color(mod(loop+1,6)+1) );
%     hold on;
% end
% grid on;
% xlabel('Channel Gain');
% ylabel('Queue length');
% title('Power Control');
