function g_points_vector = get_g_points_vector(index, TV, setting)


M = setting.M;
mu = setting.mu;
lambda = setting.lambda;



%%%% Power Control Law
P = get_TP_matrix_from_vector( TV, M, index);

%g_points = - log( cumsum(P,2) ) / lambda;
cumP = cumsum(P,2);
cumP( cumP <= 0 ) = 1e-100;
g_points = CHCCDFinv(cumP, lambda );

g_points_vector = get_vector_from_TP_matrix(g_points, index);
g_points_vector( index(:,2) ) = 0;