% TM = get_vector_from_matrix(X,index)
% Given the transition probability matrix 'X' and the index matrix 'index',
% return the vector representation of the non-zero elements in 'X'

function TM = get_vector_from_TP_matrix(X,index);

len = size(index,1);
TM = zeros( sum( index(:,3) ) , 1);

for loop = 1:len
    TM( index(loop,1) : index(loop,2) ) = X(loop, 1: index(loop,3) );
end